## akonadi-facebook 0.0git20120712

=== CMakeLists.txt ===
project(kfacebook)

set(RESOURCE_VERSION "0.1")
set(LIB_VERSION "1.0")
set(LIB_SOVERSION "1")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

# Turn this off by default when KDEPIM 4.4 is not in use anymore
option(KDEPIM_44_COMPAT "Don't crash when using KDEPIM runtime 4.4.x, at the cost of using deprecated KCal API" TRUE)
if(KDEPIM_44_COMPAT)
  add_definitions(-DWANT_DEPRECATED_KCAL_API)
endif(KDEPIM_44_COMPAT)

find_package(KdepimLibs 4.5.63 REQUIRED)
find_program(XSLTPROC_EXECUTABLE xsltproc)
macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" TRUE)
set(QJSON_VERSION_REQUIRED 0.7)
find_package(QJSON ${QJSON_VERSION_REQUIRED})
macro_log_feature(QJSON_FOUND "QJSON" "Qt library for handling JSON data" "http://qjson.sourceforge.net/" TRUE "${QJSON_VERSION_REQUIRED}")

configure_file(config.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/config.h")

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDEPIMLIBS_INCLUDE_DIRS}
  ${KDE4_INCLUDES}
  ${QJSON_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
)

add_subdirectory(libkfacebook)
add_subdirectory(serializer)
add_subdirectory(resource)

macro_display_feature_log()

=== libkfacebook/CMakeLists.txt ===
project(kfacebook)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${Boost_INCLUDE_DIR}
)



set(kfacebook_SRCS
  authenticationdialog.cpp
  userinfojob.cpp
  userinfo.cpp
  friendlistjob.cpp
  friendjob.cpp
  photojob.cpp
  eventslistjob.cpp
  eventinfo.cpp
  util.cpp
  alleventslistjob.cpp
  eventjob.cpp
  noteinfo.cpp
  noteslistjob.cpp
  allnoteslistjob.cpp
  notejob.cpp
  noteaddjob.cpp
  facebookjobs.cpp
  pagedlistjob.cpp
  listjobbase.cpp
  postinfo.cpp
  postjob.cpp
  postaddjob.cpp
  postslistjob.cpp
  propertyinfo.cpp
  appinfo.cpp
  commentinfo.cpp
  likeinfo.cpp
  notificationinfo.cpp
  notificationslistjob.cpp
)

kde4_add_library(kfacebook SHARED ${kfacebook_SRCS})

set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})

# Yes, QJSON_LIBRARIES and QJSON_LIBRARY are both needed, as otherwise it will break either
# on Linux or on Mac.
target_link_libraries(kfacebook
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTWEBKIT_LIBRARY}
  ${KDE4_KDEWEBKIT_LIBS}
  ${KDE4_KIO_LIBS}
  ${QJSON_LIBRARIES}
  ${QJSON_LIBRARY}
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
)


if(KDEPIM_44_COMPAT)
  target_link_libraries(kfacebook ${KDEPIMLIBS_KCAL_LIBS})
else(KDEPIM_44_COMPAT)
  target_link_libraries(kfacebook ${KDEPIMLIBS_KCALCORE_LIBS})
endif(KDEPIM_44_COMPAT)

set_target_properties(kfacebook PROPERTIES VERSION ${LIB_VERSION} SOVERSION ${LIB_SOVERSION})
install(TARGETS kfacebook ${INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES

  libkfacebook_export.h
  authenticationdialog.h
  userinfojob.h
  userinfo.h
  friendlistjob.h
  friendjob.h
  photojob.h
  eventslistjob.h
  eventinfo.h
  util.h
  alleventslistjob.h
  eventjob.h
  noteinfo.h
  noteslistjob.h
  allnoteslistjob.h
  notejob.h
  noteaddjob.h
  facebookjobs.h
  pagedlistjob.h
  listjobbase.h
  postinfo.h
  postjob.h
  postaddjob.h
  postslistjob.h
  propertyinfo.h
  appinfo.h
  commentinfo.h
  likeinfo.h
 DESTINATION ${INCLUDE_INSTALL_DIR}/kfacebook COMPONENT Devel
)

=== resource/CMakeLists.txt ===
project(facebookresource)

find_package(Boost 1.34.0)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.34.0" "Required by Akonadi.")

add_definitions(-DRESOURCE_VERSION=\\"${RESOURCE_VERSION}\\")
if (XSLTPROC_EXECUTABLE)
  macro( kcfg_generate_dbus_interface _kcfg _name )
    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
      COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
              ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
              ${_kcfg}
              > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
      DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
              ${_kcfg}
    )
  endmacro( kcfg_generate_dbus_interface )
endif (XSLTPROC_EXECUTABLE)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

set( facebookresource_SRCS
  facebookresource.cpp
  facebookresource_events.cpp
  facebookresource_friends.cpp
  facebookresource_notes.cpp
  facebookresource_posts.cpp
  facebookresource_notifications.cpp
  settings.cpp
  settingsdialog.cpp
  timestampattribute.cpp
)

install( FILES facebookresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_ui_files( facebookresource_SRCS settingsdialog.ui)
kde4_add_kcfg_files(facebookresource_SRCS settingsbase.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/settingsbase.kcfg org.kde.Akonadi.Facebook.Settings)
qt4_add_dbus_adaptor(facebookresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Facebook.Settings.xml settings.h Settings
)

kde4_add_executable(akonadi_facebook_resource RUN_UNINSTALLED ${facebookresource_SRCS})

if (Q_WS_MAC)
  set_target_properties(akonadi_facebook_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
  set_target_properties(akonadi_facebook_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Facebook")
  set_target_properties(akonadi_facebook_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Facebook Resource")
endif (Q_WS_MAC)

include_directories (
  ${Boost_INCLUDE_DIR}
)

target_link_libraries( akonadi_facebook_resource
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KABC_LIBS}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  kfacebook
)

if(KDEPIM_44_COMPAT)
  target_link_libraries(akonadi_facebook_resource ${KDEPIMLIBS_KCAL_LIBS})
else(KDEPIM_44_COMPAT)
  target_link_libraries(akonadi_facebook_resource ${KDEPIMLIBS_KCALCORE_LIBS})
endif(KDEPIM_44_COMPAT)

add_subdirectory(icons)

install(TARGETS akonadi_facebook_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== serializer/CMakeLists.txt ===
find_package(QJSON REQUIRED)
set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
find_package(SharedMimeInfo)
macro_log_feature(SHARED_MIME_INFO_FOUND "SMI" "SharedMimeInfo" "http://freedesktop.org/wiki/Software/shared-mime-info" TRUE "0.30" "SharedMimeInfo is required.")

include_directories(
    ${KDE4_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### status item ###############

set( akonadi_serializer_statusitem_SRCS
  akonadi_serializer_statusitem.cpp
)

kde4_add_plugin(akonadi_serializer_statusitem ${akonadi_serializer_statusitem_SRCS})

target_link_libraries(akonadi_serializer_statusitem
              ${KDE4_AKONADI_LIBS}
              ${QT_QTCORE_LIBRARY}
              ${KDE4_KDECORE_LIBS}
              kfacebook
              ${qjson_LIBRARIES}    # for Debian
              ${QJSON_LIBRARIES}
              ${QJSON_LIBRARY})

install(TARGETS akonadi_serializer_statusitem DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES akonadi_serializer_statusitem.desktop DESTINATION ${DATA_INSTALL_DIR}/akonadi/plugins/serializer)
install(FILES x-vnd.akonadi.statusitem.xml DESTINATION ${XDG_MIME_INSTALL_DIR})

########### social notification ###############

set( akonadi_serializer_socialnotification_SRCS
  akonadi_serializer_socialnotification.cpp
)

kde4_add_plugin(akonadi_serializer_socialnotification ${akonadi_serializer_socialnotification_SRCS})

target_link_libraries(akonadi_serializer_socialnotification
              ${KDE4_AKONADI_LIBS}
              ${QT_QTCORE_LIBRARY}
              ${KDE4_KDECORE_LIBS}
              kfacebook
              ${qjson_LIBRARIES}    # for Debian
              ${QJSON_LIBRARIES}
              ${QJSON_LIBRARY})

install(TARGETS akonadi_serializer_socialnotification DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES akonadi_serializer_socialnotification.desktop DESTINATION ${DATA_INSTALL_DIR}/akonadi/plugins/serializer)
install(FILES x-vnd.akonadi.socialnotification.xml DESTINATION ${XDG_MIME_INSTALL_DIR})

update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== debian/changelog ===
akonadi-facebook (0.0git20120712-0ubuntu2) quantal; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jul 2012 16:07:32 +0100

=== debian/control ===
Source: akonadi-facebook
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8),
               kdelibs5-dev,
               pkg-kde-tools,
               xsltproc,
               libqjson-dev,
               shared-mime-info,
               libboost1.49-dev,
               kdepimlibs5-dev,
               libqtwebkit-dev,
Standards-Version: 3.9.3

Package: akonadi-facebook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Facebook resource for Akonadi
 This Akonadi module imports calendar information from Facebook
 for use in Kontact.

## akonadi-facebook 0.0git20130415

=== CMakeLists.txt ===
project(akonadi-facebook-standalone)

set(RESOURCE_VERSION "0.1")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

find_package(KdepimLibs 4.9.58)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries" URL "http://www.kde.org" TYPE REQUIRED)

find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces.")

find_package(QJSON 0.7)
set_package_properties(QJSON PROPERTIES DESCRIPTION "Qt library for handling JSON data" URL "http://qjson.sourceforge.net/" TYPE REQUIRED)

find_package(LibKFbAPI 1.0 CONFIG)
set_package_properties(LibKFbAPI PROPERTIES DESCRIPTION "A library to access Facebook services" URL "http://projects.kde.org/libkfbapi" TYPE REQUIRED PURPOSE "LibKFbAPI is required to build Akonadi resources to access Facebook's contacts, events, notes and posts" )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDEPIMLIBS_INCLUDE_DIRS}
  ${KDE4_INCLUDES}
  ${QJSON_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
)

add_subdirectory(serializer)
add_subdirectory(resource)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(po)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(be)
add_subdirectory(bs)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hi)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(lt)
add_subdirectory(mai)
add_subdirectory(mr)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(nn)
add_subdirectory(oc)
add_subdirectory(pa)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(ug)
add_subdirectory(uk)
add_subdirectory(zh_TW)

=== resource/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,9 @@
 project(facebookresource)
 
 find_package(Boost 1.34.0)
-macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.34.0" "Required by Akonadi.")
+set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required by Akonadi")
 
 add_definitions(-DRESOURCE_VERSION=\\"${RESOURCE_VERSION}\\")
-if (XSLTPROC_EXECUTABLE)
-  macro( kcfg_generate_dbus_interface _kcfg _name )
-    add_custom_command(
-      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
-      COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
-              ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
-              ${_kcfg}
-              > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
-      DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
-              ${_kcfg}
-    )
-  endmacro( kcfg_generate_dbus_interface )
-endif (XSLTPROC_EXECUTABLE)
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
 
@@ -54,21 +41,19 @@
 )
 
 target_link_libraries( akonadi_facebook_resource
+  ${KDEPIMLIBS_AKONADI_SOCIALUTILS_LIBS}
+  ${KDEPIMLIBS_AKONADI_NOTES_LIBS}
   ${KDEPIMLIBS_AKONADI_LIBS}
   ${KDEPIMLIBS_KABC_LIBS}
+  ${KDEPIMLIBS_KCALCORE_LIBS}
   ${QT_QTCORE_LIBRARY}
   ${QT_QTGUI_LIBRARY}
   ${QT_QTDBUS_LIBRARY}
+  ${QJSON_LIBRARIES}
   ${KDE4_KDECORE_LIBS}
   ${KDEPIMLIBS_KMIME_LIBS}
-  kfacebook
+  ${LibKFbAPI_LIBRARY}
 )
-
-if(KDEPIM_44_COMPAT)
-  target_link_libraries(akonadi_facebook_resource ${KDEPIMLIBS_KCAL_LIBS})
-else(KDEPIM_44_COMPAT)
-  target_link_libraries(akonadi_facebook_resource ${KDEPIMLIBS_KCALCORE_LIBS})
-endif(KDEPIM_44_COMPAT)
 
 add_subdirectory(icons)

=== serializer/CMakeLists.txt ===
project(facebook-notifications-serializer)

find_package(SharedMimeInfo 0.30)
set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "shared-mime-info" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")

include_directories(
    ${KDE4_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
)

set( akonadi_serializer_socialnotification_SRCS
  akonadi_serializer_socialnotification.cpp
)

kde4_add_plugin(akonadi_serializer_socialnotification ${akonadi_serializer_socialnotification_SRCS})

target_link_libraries(akonadi_serializer_socialnotification
              ${KDE4_AKONADI_LIBS}
              ${QT_QTCORE_LIBRARY}
              ${KDE4_KDECORE_LIBS}
              ${LibKFbAPI_LIBRARY}
              ${qjson_LIBRARIES}    # for Debian
              ${QJSON_LIBRARIES}
              ${QJSON_LIBRARY})

install(TARGETS akonadi_serializer_socialnotification DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES akonadi_serializer_socialnotification.desktop DESTINATION ${DATA_INSTALL_DIR}/akonadi/plugins/serializer)
install(FILES x-vnd.akonadi.socialnotification.xml DESTINATION ${XDG_MIME_INSTALL_DIR})

update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== .pc/i18n.diff/CMakeLists.txt ===
project(akonadi-facebook-standalone)

set(RESOURCE_VERSION "0.1")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

find_package(KdepimLibs 4.9.58)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries" URL "http://www.kde.org" TYPE REQUIRED)

find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces.")

find_package(QJSON 0.7)
set_package_properties(QJSON PROPERTIES DESCRIPTION "Qt library for handling JSON data" URL "http://qjson.sourceforge.net/" TYPE REQUIRED)

find_package(LibKFbAPI 1.0 CONFIG)
set_package_properties(LibKFbAPI PROPERTIES DESCRIPTION "A library to access Facebook services" URL "http://projects.kde.org/libkfbapi" TYPE REQUIRED PURPOSE "LibKFbAPI is required to build Akonadi resources to access Facebook's contacts, events, notes and posts" )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDEPIMLIBS_INCLUDE_DIRS}
  ${KDE4_INCLUDES}
  ${QJSON_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
)

add_subdirectory(serializer)
add_subdirectory(resource)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadi-facebook (0.0git20130415-0ubuntu1) raring; urgency=low

  * New snapshot LP: #1169336

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Apr 2013 15:16:10 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
                libboost1.49-dev,
                kdepimlibs5-dev,
                libqtwebkit-dev,
-Standards-Version: 3.9.3
+               libkfbapi-dev,
+Standards-Version: 3.9.4
 
 Package: akonadi-facebook
 Architecture: any
